import execa from 'execa'

export const findLatestVersionOfPackage = async (pkg, cwd) => {
  const result = await execa(
    'yarn',
    ['-s', '--json', 'info', pkg, 'dist-tags'],
    { cwd }
  )

  try {
    const { data } = JSON.parse(result.stdout)

    return data.latest
  } catch (err) {
    console.log('Error while trying to get latest version:', err)
    console.log('package: %s, stdout: %s', pkg, result.stdout)
    throw err
  }
}

export default {
  findLatestVersionOfPackage,
}
